## {{ ansible_managed }}

version: "3"

services:
  db:
    restart: always
    image: postgres:latest
    volumes:
      - pgdata:/var/lib/postgresql/data/
    environment:
      - POSTGRES_PASSWORD=postgrespass
      - POSTGRES_USER=postgres
      - POSTGRES_DB=less_1_db
      - POSTGRES_HOST_AUTH_METHOD=trust

  web:
    image: {{ docker_compose_web_image }}
    restart: always
    expose:
      - "8000"
    volumes:
      - web-django:/usr/src/
      - web-static:/usr/src/static/
    environment:
      - DEBUG=true
    command: /bin/sh -c 'python manage.py migrate && /usr/local/bin/gunicorn Blog.wsgi:application -w 2 -b :8000'
    depends_on:
      - db

  nginx:
    restart: always
    image: {{ docker_compose_nginx_image }}
    ports:
      - "{{ docker_compose_nginx_port }}:8000"
    volumes:
      - web-static:/static

volumes:
  web-django:
  web-static:
  pgdata:
